Summary:	Local and web-based gradebook
Name:		opengrade
Version:	3.2.4
Release:	%mkrel 2
License:	GPLv2
Group:		Education
Source0:	https://github.com/bcrowell/opengrade/archive/%{name}-%{version}.tar.gz
Source1:	http://www.lightandmatter.com/ogr/%{name}_doc.pdf
Patch1:		%{name}-3.1.18-mga-manpage-without-icon-info.patch
Url:		http://www.lightandmatter.com/ogr/ogr.html
Requires:	tk
Requires:	alsa-utils
Recommends:	perl(Digest::Whirlpool)
BuildArch:	noarch
Provides:	perl(FileDialogPatched)

%description
OpenGrade is software for teachers to keep track of grades.
* A variety of reports can be created.
* Grades can be uploaded to a web server, where students can have
  password-protected access to them. (see /usr/share/doc/opengrade*)
* If you use a set grading scale, you can have the software use it to compute
  letter grades automatically.
* Grades can be based on total points, or on a weighted average of scores in
  various categories such as exams and quizzes.
* You can drop the lowest grade (or the N lowest grades) from a given category.
* Students can be dropped and later reinstated without losing all their grades.
* Gradebook files can be automatically backed up on a web server.
* There is support for extra-credit categories, and for categories that don't
  count towards the student's grade.
* Gradebook files are password-protected with a digital watermark, so you can
  detect tampering.
* Gradebook files are in a plain-text format, which makes it easy to work with
  them using Unix utilities.

%prep
%setup -q
%autopatch -p1
cp %{SOURCE1} %{name}.pdf

%build
mv %{name}.pl %{name}
pushd i18n
chmod +x ./%{name}_18n_compile.sh
./%{name}_18n_compile.sh
popd
make %{name}.1

%install
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_bindir}
install -m644 *.pm %{buildroot}%{perl_vendorlib}
install -m755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

#icons
mkdir -p %{buildroot}%{_iconsdir}
cp -af icons/* %{buildroot}%{_iconsdir}

#sounds
mkdir -p %{buildroot}%{_datadir}/apps/%{name}/sounds
cp -f *.wav %{buildroot}%{_datadir}/apps/%{name}/sounds/

#man
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

#locales
mkdir -p %{buildroot}%{_datadir}/locale
cp -af locale/* %{buildroot}%{_datadir}/locale/
%find_lang %{name}

%files -f %{name}.lang
%doc README *.pdf *.gb *.cgi *.sty
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/sounds/*.wav
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1523100
- Mageia 8 Mass Rebuild

* Thu Feb 21 2019 alexl <alexl> 3.2.4-1.mga7
+ Revision: 1369016
- version 3.2.4
- del upstreamed stuff

* Wed Sep 19 2018 umeabot <umeabot> 3.1.18-6.mga7
+ Revision: 1265390
- Mageia 7 Mass Rebuild

* Sat Jan 14 2017 alexl <alexl> 3.1.18-5.mga6
+ Revision: 1081657
- update langs from transifex
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 alexl <alexl> 3.1.18-3.mga6
+ Revision: 902610
- revert svg icon installation (looks ugly)
- add requires alsa-utils for aplay

* Mon Nov 02 2015 alexl <alexl> 3.1.18-2.mga6
+ Revision: 897399
- add i18n support partially
- manpage without icon info
- add perl(Digest::Whirlpool) in recommends
- s/patch/autopatch/
- install manpage, svg icon, sounds, locales

* Mon Sep 21 2015 alexl <alexl> 3.1.18-1.mga6
+ Revision: 882046
- fix ldconfig search (ldconfig.patch)
- version 3.1.18

* Thu Jan 08 2015 alexl <alexl> 3.1.17-5.mga5
+ Revision: 809459
- updated desktop file
- moved desktop file from spec into sources

* Wed Oct 15 2014 umeabot <umeabot> 3.1.17-4.mga5
+ Revision: 746041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.17-3.mga5
+ Revision: 683212
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 alexl <alexl> 3.1.17-2.mga5
+ Revision: 676757
- fixed spurious-executable-perm (rpmlint)
- translated desktop file

* Mon Jul 28 2014 alexl <alexl> 3.1.17-1.mga5
+ Revision: 657791
- version 3.1.17
- cleanups for spec

* Fri Oct 18 2013 umeabot <umeabot> 3.1.11-4.mga4
+ Revision: 521844
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 3.1.11-3.mga3
+ Revision: 392011
- use github source
- update source url

* Thu Jan 24 2013 fwang <fwang> 3.1.11-2.mga3
+ Revision: 391950
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 3.1.11-1.mga2
+ Revision: 141087
- new release

* Sat May 14 2011 dmorgan <dmorgan> 3.1.7-1.mga1
+ Revision: 98566
- imported package opengrade


* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 3.1.7-1mdv2010.1
+ Revision: 504710
- new version 3.1.7

* Mon Nov 16 2009 Funda Wang <fwang@mandriva.org> 3.1.5-1mdv2010.1
+ Revision: 466409
- new version 3.1.5

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2010.0
+ Revision: 451966
- New version 3.1.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 3.1.1-1mdv2009.1
+ Revision: 337386
- update to new version 3.1.1

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 336081
- new version 3.1.0

* Sat Jan 17 2009 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 330558
- update to new version 3.0.2

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 328221
- New version 3.0.0

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.9.4-1mdv2009.1
+ Revision: 328177
- update to new version 2.9.4

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 2.9.3-1mdv2009.1
+ Revision: 326084
- update to new version 2.9.3

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 2.9.2-1mdv2009.1
+ Revision: 324507
- New version 2.9.2

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 2.9.0-1mdv2009.1
+ Revision: 323170
- New version 2.9.0

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 2.8.3-1mdv2009.1
+ Revision: 308966
- new version 2.8.3

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8.2-2mdv2009.0
+ Revision: 268351
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 2.8.2-1mdv2009.0
+ Revision: 208302
- New version 2.8.2

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 2.8.1-1mdv2008.1
+ Revision: 161420
- update to new version 2.8.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 2.7.15-1mdv2008.0
+ Revision: 78945
- spec file clean
- New version 2.7.15

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Oct 25 2006 Lenny Cartier <lenny@mandriva.com> 2.7.13-1mdv2007.0
+ Revision: 72282
- Update to 2.7.13
- Import opengrade

